| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# IG::Num::PointContainerSampledDataElement Class Reference

Container class that contains a single vector point plus all the data that are necessary for searching and re-connecting operations on points. More...

Inheritance diagram for IG::Num::PointContainerSampledDataElement:
[legend]
Collaboration diagram for IG::Num::PointContainerSampledDataElement:
[legend]

List of all members.

## Public Member Functions
| PointContainerSampledDataElement (SampledDataElement point, int index)
| PointContainerSampledDataElement (SampledDataElement point)
override IVector | GetPointCoordinates (SampledDataElement point)
| Returns vector of co-ordinates (or input parameters) of the specified point.
override IVector | GetPointOutputVector (SampledDataElement point)
| Gets the vector of output values of the point containet in the current container. <pra>This method must be overridden in derived classes that use this functionality (not all point containers use it).</pra>

## Detailed Description

Container class that contains a single vector point plus all the data that are necessary for searching and re-connecting operations on points.

Template Parameters:

  PointType | Type of the vector enclosed in this container class to represent a point in space.

$A Igor Sep08 May09 Dec11;

## Constructor & Destructor Documentation

IG::Num::PointContainerSampledDataElement::PointContainerSampledDataElement | ( | SampledDataElement | point,
|  | int | index
| ) |  | `[inline]`

IG::Num::PointContainerSampledDataElement::PointContainerSampledDataElement | ( | SampledDataElement | point | ) | `[inline]`

## Member Function Documentation

override IVector IG::Num::PointContainerSampledDataElement::GetPointCoordinates | ( | SampledDataElement | point | ) | `[inline]`

Returns vector of co-ordinates (or input parameters) of the specified point.

Parameters:

  point | Point whose co-ordinates are returned.

override IVector IG::Num::PointContainerSampledDataElement::GetPointOutputVector | ( | SampledDataElement | point | ) | `[inline]`

Gets the vector of output values of the point containet in the current container. <pra>This method must be overridden in derived classes that use this functionality (not all point containers use it).</pra>

This functionality is used only in those types of points that have also output values defined, which is true for SampledDataElement.

The documentation for this class was generated from the following file:

- PointCloudSampledDataElement.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events